#include <iostream>
#include <bits/stdc++.h>
#include <string>
using namespace std;
 
 
 
void Sortiranje(string &str) 
    { 
        sort(str.begin(), str.end()); 
    } 
int main()
{
    int N,i,j;
    string alfabet,kopija;
    int brojac=0;
    cin>>N;
    cin>>alfabet;
    kopija=alfabet;
    Sortiranje(alfabet);
    if(N==27)
    {
        if(alfabet==kopija)
        {
            cout<<2;
            brojac=1;
        }
        else
        {
            cout<<1;
            brojac=1;
        }
    }  
    if(N==26)
    {
        cout<<0;
        brojac=1;
    }
    if(brojac==0)
        cout<<0;
    

}